EncryptInterceptorMBean (Apache Tomcat 11.0.24 API Documentation)
Description: declaration: package: org.apache.catalina.tribes.group.interceptors, interface: EncryptInterceptorMBean

# Interface EncryptInterceptorMBean

All Known Implementing Classes:
  `EncryptInterceptor`

public interface EncryptInterceptorMBean
MBean interface for managing the `EncryptInterceptor` configuration and status.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getEncryptionAlgorithm()`
  Returns the encryption algorithm currently in use.
  `byte[]`
  `getEncryptionKey()`
  Returns the encryption key as raw bytes.
  `int`
  `getOptionFlag()`
  Returns the option flag for the encryption interceptor.
  `String`
  `getProviderName()`
  Returns the JCA provider name for cryptographic operations.
  `int`
  `getReplayWindowMessageCount()`
  Returns the maximum number of replay cache entries.
  `long`
  `getReplayWindowTime()`
  Returns the time-based replay window in milliseconds.
  `void`
  `setEncryptionAlgorithm(String algorithm)`
  Sets the encryption algorithm to use.
  `void`
  `setEncryptionKey(byte[] key)`
  Sets the encryption key as raw bytes.
  `void`
  `setOptionFlag(int optionFlag)`
  Sets the option flag for the encryption interceptor.
  `void`
  `setProviderName(String provider)`
  Sets the JCA provider name for cryptographic operations.
  `void`
  `setReplayWindowMessageCount(int replayWindowMessageCount)`
  Sets the maximum number of replay cache entries.
  `void`
  `setReplayWindowTime(long replayWindowTime)`
  Sets the time-based replay window in milliseconds.

- ## Method Details

  - ### getOptionFlag

    int getOptionFlag()
    Returns the option flag for the encryption interceptor.
    Returns:
      the option flag value

  - ### setOptionFlag

    void setOptionFlag(int optionFlag)
    Sets the option flag for the encryption interceptor.
    Parameters:
      `optionFlag` - the option flag value

  - ### setEncryptionAlgorithm

    void setEncryptionAlgorithm(String algorithm)
    Sets the encryption algorithm to use.
    Parameters:
      `algorithm` - the encryption algorithm in algorithm/mode/padding format

  - ### getEncryptionAlgorithm

    String getEncryptionAlgorithm()
    Returns the encryption algorithm currently in use.
    Returns:
      the encryption algorithm string

  - ### setEncryptionKey

    void setEncryptionKey(byte[] key)
    Sets the encryption key as raw bytes.
    Parameters:
      `key` - the encryption key bytes

  - ### getEncryptionKey

    byte[] getEncryptionKey()
    Returns the encryption key as raw bytes.
    Returns:
      the encryption key bytes

  - ### setProviderName

    void setProviderName(String provider)
    Sets the JCA provider name for cryptographic operations.
    Parameters:
      `provider` - the JCA provider name

  - ### getProviderName

    String getProviderName()
    Returns the JCA provider name for cryptographic operations.
    Returns:
      the JCA provider name, or `null` for default

  - ### setReplayWindowTime

    void setReplayWindowTime(long replayWindowTime)
    Sets the time-based replay window in milliseconds.
    Parameters:
      `replayWindowTime` - the replay window time

  - ### getReplayWindowTime

    long getReplayWindowTime()
    Returns the time-based replay window in milliseconds.
    Returns:
      the replay window time

  - ### setReplayWindowMessageCount

    void setReplayWindowMessageCount(int replayWindowMessageCount)
    Sets the maximum number of replay cache entries.
    Parameters:
      `replayWindowMessageCount` - the replay window message count

  - ### getReplayWindowMessageCount

    int getReplayWindowMessageCount()
    Returns the maximum number of replay cache entries.
    Returns:
      the replay window message count